<?php
global $connection, $data, $text, $from_id, $admin, $userInfo, $message_id, $mainValues, $buttonValues, $cancelKey, $removeKeyboard, $fileid, $caption, $botState, $first_name, $username;

// --- Start of Range 652 to 778 ---
if ($data == "inviteFriends") {
    $stmt = $connection->prepare("SELECT * FROM `setting` WHERE `type` = 'INVITE_BANNER_TEXT'");
    $stmt->execute();
    $inviteText = $stmt->get_result()->fetch_assoc()['value'];
    if ($inviteText != null) {
        delMessage();
        $inviteText = json_decode($inviteText, true);

        $stmt = $connection->prepare("SELECT * FROM `setting` WHERE `type` = 'INVITE_BANNER_AMOUNT'");
        $stmt->execute();
        $inviteAmount = number_format($stmt->get_result()->fetch_assoc()['value'] ?? 0) . " تومان";
        $stmt->close();

        $getBotInfo = json_decode(file_get_contents("http://api.telegram.org/bot" . $botToken . "/getMe"), true);
        $botId = $getBotInfo['result']['username'];

        $link = "t.me/$botId?start=" . $from_id;
        if ($inviteText['type'] == "text") {
            $txt = str_replace('LINK', "<code>$link</code>", $inviteText['text']);
            $res = sendMessage($txt, null, "HTML");
        } else {
            $txt = str_replace('LINK', "$link", $inviteText['caption']);
            $res = sendPhoto($inviteText['file_id'], $txt, null, "HTML");
        }
        $msgId = $res->result->message_id;
        sendMessage("با لینک بالا دوستاتو به ربات دعوت کن و با هر خرید $inviteAmount بدست بیار", json_encode(['inline_keyboard' => [[getBtn("back_to_main", "mainMenu")]]]), null, null, $msgId);
    } else
        alert("این قسمت غیر فعال است");
}
if ($data == "myInfo") {
    $stmt = $connection->prepare("SELECT * FROM `orders_list` WHERE `userid` = ?");
    $stmt->bind_param("i", $from_id);
    $stmt->execute();
    $totalBuys = $stmt->get_result()->num_rows;
    $stmt->close();

    $myWallet = number_format($userInfo['wallet']) . " تومان";

    $keys = json_encode(['inline_keyboard' => [
        [
            getBtn("increase_wallet", "increaseMyWallet"),
            getBtn("transfer_wallet", "transferMyWallet")
        ],
        [
            getMiniAppBtn("ورود به داشبورد مینی‌اپ 📱", "user-dashboard")
        ],
        [
            getBtn("back_to_main", "mainMenu")
        ]
    ]]);
    editText(
        $message_id,
        "
💞 اطلاعات حساب شما:
    
🔰 شناسه کاربری: <code> $from_id </code>
🍄 یوزرنیم: <code> @$username </code>
👤 اسم:  <code> $first_name </code>
💰 موجودی: <code> $myWallet </code>

☑️ کل سرویس ها : <code> $totalBuys </code> عدد
⁮⁮ ⁮⁮ ⁮⁮ ⁮⁮
",
        $keys,
        "html"
    );
}
if ($data == "transferMyWallet") {
    if ($userInfo['wallet'] > 0) {
        delMessage();
        sendMessage("لطفا آیدی عددی کاربر مورد نظر رو وارد کن", $cancelKey);
        setUser($data);
    } else
        alert("موجودی حساب شما کم است");
}
if ($userInfo['step'] == "transferMyWallet" && $text != $buttonValues['cancel']) {
    if (is_numeric($text)) {
        if ($text != $from_id) {
            $stmt = $connection->prepare("SELECT * FROM `users` WHERE `userid` = ?");
            $stmt->bind_param("i", $text);
            $stmt->execute();
            $checkExist = $stmt->get_result();
            $stmt->close();

            if ($checkExist->num_rows > 0) {
                setUser("tranfserUserAmount" . $text);
                sendMessage("لطفا مبلغ مورد نظر رو وارد کن");
            } else
                sendMessage("کاربری با این آیدی یافت نشد");
        } else
            sendMessage("میخای به خودت انتقال بدی ؟؟");
    } else
        sendMessage($mainValues['send_only_number']);
}
if (preg_match('/^tranfserUserAmount(\d+)/', (string)$userInfo['step'], $match) && $text != $buttonValues['cancel']) {
    if (is_numeric($text)) {
        if ($text > 0) {
            if ($userInfo['wallet'] >= $text) {
                $stmt = $connection->prepare("UPDATE `users` SET `wallet` = `wallet` + ? WHERE `userid` = ?");
                $stmt->bind_param("ii", $text, $match[1]);
                $stmt->execute();
                $stmt->close();

                $stmt = $connection->prepare("UPDATE `users` SET `wallet` = `wallet` - ? WHERE `userid` = ?");
                $stmt->bind_param("ii", $text, $from_id);
                $stmt->execute();
                $stmt->close();

                sendMessage("✅|مبلغ " . number_format($text) . " تومان به کیف پول شما توسط کاربر $from_id انتقال یافت", null, null, $match[1]);
                setUser();
                sendMessage("✅|مبلغ " . number_format($text) . " تومان به کیف پول کاربر مورد نظر شما انتقال یافت", $removeKeyboard);
                sendMessage("لطفا یکی از کلید های زیر را انتخاب کنید", getMainKeys());
            } else
                sendMessage("موجودی حساب شما کم است");
        } else
            sendMessage("لطفا عددی بزرگتر از صفر وارد کنید");
    } else
        sendMessage($mainValues['send_only_number']);
}
if ($data == "increaseMyWallet") {
    delMessage();
    sendMessage("🙂 عزیزم مقدار شارژ مورد نظر خود را به تومان وارد کن (بیشتر از 5000 تومان)", $cancelKey);
    setUser($data);
}
